Browse Source

ci: add cuda9.2 base image

Brad King 4 years ago
parent
commit
bf6965fbb8
2 changed files with 19 additions and 0 deletions
  1. 5 0
      .gitlab/ci/docker/cuda9.2/Dockerfile
  2. 14 0
      .gitlab/ci/docker/cuda9.2/install_deps.sh

+ 5 - 0
.gitlab/ci/docker/cuda9.2/Dockerfile

@@ -0,0 +1,5 @@
+FROM nvidia/cuda:9.2-devel-ubuntu16.04
+MAINTAINER Brad King <[email protected]>
+
+COPY install_deps.sh /root/install_deps.sh
+RUN sh /root/install_deps.sh

+ 14 - 0
.gitlab/ci/docker/cuda9.2/install_deps.sh

@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+apt-get update
+
+# Install development tools.
+apt-get install -y \
+    g++ \
+    clang-3.8 \
+    curl \
+    git
+
+apt-get clean